h2 {
  margin-bottom: 20px;
  padding: 0.5rem 1rem;
  border-left: 6px solid red;
  border-bottom: 1px dotted #666;
}
.ch {
  font-family: microsoft yahei;
  color: blue;
}
.whiteBoard a {
  text-decoration: none;
}

section {
  margin: 50px auto;
  padding: 1rem;
}
section p {
  font-size: 1.3rem;
  margin: 1rem;
  margin-bottom: 3rem;
  text-indent: 1rem;
  line-height: 3rem;
}
section p.ans{
  display: none;
  color: rgb(2, 2, 192);
}
section p.ans.active{
  display: block;
}
section .ex {
  display: block;
  padding-left: 3rem;
  text-indent: -3rem;
  color: rgb(104, 104, 255);
}
section .ex::before {
  content: "例：";
  font-weight: bold;
}
th {
  background: rgb(1, 1, 210);
  color: #fff;
}
th,
td {
  padding: 0.3rem 0.5rem;
  border: 1px solid #333;
}
.select {
  display: flex;
  flex-wrap: wrap;
  max-width: 650px;
  margin: 30px auto;
  padding: 1rem;
  gap: 0.5rem;
  border: 1px solid #333;
}
.select span {
  display: block;
  width: calc(100% / 3 - 20px);
}

section ol {
  position: relative;
  counter-reset: number-ol; /*ポイント*/
  padding: 5px;
  margin: 0 auto;
}
section  li {
  position: relative;
  list-style: none;
  margin: 30px;
  padding-left: 3rem;
  font-size: 1.2rem;
}
section  li p {
  position: relative;
  margin: 12px 0;
  line-height: 1.3rem;
  text-indent: -1rem;
}
section  li p.a::before {
  content: "A : ";
}
section  li p.b::before {
  content: "B : ";
}
section  li p.c::before {
  content: "C : ";
}
section ol li:before {
  position: absolute;
  counter-increment: number-ol; /*ポイント*/
  content: counter(number-ol); /*ポイント*/
  background: orange;
  color: #fff;
  border-radius: 50%;
  top: -3px;
  left: 0px;
  width: 1.2em;
  height: 1.2em;
  text-align: center;
  text-shadow: 1px 1px 1px #666;
}
.practice li::before{
    top: 0;
}
section button{
  padding: .5rem 1rem;
}

@media (max-width: 650px) {
  .select span {
    width: calc(100% / 2 - 5px);
  }
}
@media (max-width: 480px) {
  h2 {
    font-size: 1.2rem;
  }
  section p {
    font-size: 1rem;
    line-height: 1.8rem;
  }
  .select {
    padding: 10px;
    font-size: .9rem;
  }
  section ol li{
    margin: 0;
    margin-bottom: 20px;
  }
  section li p{
    line-height: 1.6rem;
  }
}
